 
package ctxhelp;

use lib qw(/usr/lib/libDrakX);
use common;
use lang;

# 'id' => ['Globalhtmlfile', 'relativelink']
my %helppage = (
		'diskdrake' => ['drakdisk.html', undef],
		'diskdrake-fileshare' => ['diskdrake--fileshare.html', undef],
		'diskdrake-nfs' => ['diskdrake--nfs.html', undef],
		'diskdrake-removable' => ['diskdrake--removable.html', undef],
		'diskdrake-smb' => ['diskdrake--smb.html', undef],
		'drak3d' => ['drak3d.html', undef],
		'drakautoinst' => ['drakautoinst.html', undef],
		'drakbackup' => ['drakbackup.html', undef],
		'drakboot' => ['drakboot.html', undef],
		'drakbug' => ['drakbug.html', undef],
		'drakconf-intro' => ['mcc-intro.html', undef],
		'drakconnect' => ['drakconnect.html', undef],
		'drakconnect-del' => ['drakconnect--del.html', undef],
		'drakconsole' => ['drakconsole.html', undef],
		'drakfloppy' => ['drakfloppy.html', undef],
		'drakfont' => ['drakfont.html', undef],
		'drakguard' => ['drakguard.html', undef],
		'drakgw' => ['drakgw.html', undef],
		'drakhosts' => ['drakhosts.html', undef],
		'drakids' => ['drakids.html', undef],
		'drakperm' => ['drakperm.html', undef],
		'draksec' => ['draksec.html', undef],
		'draksnapshot' => ['draksnapshot.html', undef],
		'draksound' => ['draksound.html', undef],
		'drakstats' => ['software-management-stats.html', undef],
		'draktime' => ['draktime.html', undef],
		'drakvpn' => ['drakvpn.html', undef],
		'drakxservices' => ['drakxservices.html', undef],
		'harddrake' => ['harddrake2.html', undef],
		'internet-connection' => ['drakconnect.html', undef],
		'keyboarddrake' => ['keyboarddrake.html', undef],
		'logdrake' => ['logdrake.html', undef],
		'mcc-boot' => ['mcc-boot.html', undef],
		'mcc-hardware' => ['mcc-hardware.html', undef],
		'mcc-localdisks' => ['mcc-localdisks.html', undef],
		'mcc-mountpoints' => ['mcc-mountpoints.html', undef],
		'mcc-network' => ['mcc-network.html', undef],
		'mcc-networksharing' => ['mcc-networksharing.html', undef],
		'mcc-security' => ['mcc-security.html', undef],
		'mcc-system' => ['mcc-system.html', undef],
		'menudrake' => ['menudrake.html', undef],
		'mousedrake' => ['mousedrake.html', undef],
		'printerdrake' => ['printerdrake.html', undef],
		'software-management' => ['software-management.html', undef],
		'software-management-install' => ['rpmdrake.html', undef],
		'software-management-remove' => ['rpmdrake.html', undef],
		'software-management-sources' => ['drakrpm-edit-media.html', undef],
		'software-management-update' => ['MageiaUpdate.html', undef],
		'tinyfirewall' => ['tinyfirewall.html', undef],
		'userdrake' => ['userdrake.html', undef],
		'wiz-client' => ['wizdrake.html', undef],
		'wiz-dhcp' => ['wiz-dhcp.html', undef],
		'wiz-dns' => ['wiz-dns.html', undef],
		'wizdrake' => ['wizdrake.html', undef],
		'wiz-ftp' => ['wiz-ftp.html', undef],
		'wiz-mail' => ['wiz-mail.html', undef],
		'wiz-news' => ['wiz-news.html', undef],
		'wiz-proxy' => ['wiz-proxy.html', undef],
		'wiz-samba' => ['wiz-samba.html', undef],
		'wiz-server' => ['wiz-server.html', undef],
		'wiz-time' => ['wiz-time.html', undef],
		'wiz-web' => ['wiz-web.html', undef],
		'xfdrake' => ['XFdrake.html', undef]
	       );

sub id2file { exists $helppage{$_[0]} && $helppage{$_[0]}[0] }

sub id2anchorage { exists $helppage{$_[0]} && defined $helppage{$_[0]}[1] ? $helppage{$_[0]}[0] . '#' . $helppage{$_[0]}[1] : $helppage{$_[0]}[0] }

sub path2help {
    my ($opt, $id, $o_lang) = @_;
    my ($l, $path);
    if ($o_lang) {
	$l = $o_lang;
    } else {
	my $locale = lang::read($>);
	$l = lc($locale->{lang});
	$l =~ s/(.*)/\L$1/gi; # WHAT'S THIS FOR??? lc is already done on previous line
    }
    # For Debug Purpose
    # printf("\n** LANG = %s **\n", $l);
    $path = '/usr/share/doc/mageia/';
    $l = 'en' unless member($l, qw(de en es et fr id it nl pt_br zh_cn ru uk));
    my %option = (
	'--id' => sub { return ($path . $l . '/mcc/' . id2file($id), 
				$path . $l . '/mcc/' . id2anchorage($id), 
				#'mageia-doc-' . if_(member($l, 'ru', 'zh_cn'), 'contrib-') . 'mcc-' . $l) },
				'mageia-doc-mcc-' . $l) },
	'--doc' => sub { return ($path . $l . '/' . $id, 
				 $path . $l . '/' . $id,
				 'mageia-doc-' . $l) },
		 );
    my ($instpath, $ancpath, $package) = $option{$opt}->();

    if (!do_pkgs_standalone->new->ensure_is_installed($package, $instpath)) {
	$l = 'en';
    }
    $option{$opt}->();
}

1;

